#!/usr/bin/perl
# -----------------------------------------------------------------------------
#  ident "@(#)variables.pm 1.36 04/03/12 SMI"
# -----------------------------------------------------------------------------
#
#  Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
# -----------------------------------------------------------------------------

package variables ;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = ();

#------------------------------------------------------------------------------
#
# general variables
#
#------------------------------------------------------------------------------

$FALSE=0; export("\$FALSE");
$TRUE=1; export("\$TRUE");
$HEXA_MARKER="\\"; export("\$HEXA_MARKER");

#-
# Constantes for addon.conf
#-

# constant for installation method
$STANDARD_METHOD=1; export("\$STANDARD_METHOD");
$SMOSSERVICE_METHOD=2; export("\$SMOSSERVICE_METHOD");
$PATCH_WITH_PKGADD_METHOD=3; export("\$PATCH_WITH_PKGADD_METHOD");

#------------------------------------------------------------------------------
#
# GLOBAL VARIABLES
#
#   Configuration data used by others modules
#   Handle with care !
#
#------------------------------------------------------------------------------

# cluster_definition.conf: full name
$CLUSTER_FILE_FULLNAME="" ; export("\$CLUSTER_FILE_FULLNAME");

# add-on file: full name""
$ADDON_FILE_FULLNAME=""; export("\$ADDON_FILE_FULLNAME");

# type of installation: CLUSTER, ADD_DISKLESS
$INSTALL_TYPE = ""; export("\$INSTALL_TYPE");
# maximum number of nodes
$MAX_NODES=12; export("\$MAX_NODES");
# supported OS
@SUPPORTED_OS=("Solaris_8", "Solaris_9"); export("\@SUPPORTED_OS");

# Cluster ID
$CLUSTER=""; export("\$CLUSTER");

# Node ID of the Production/Install server
$SERVER_NODE=""; export("\$SERVER_NODE");

# IP address of the server
$SERVER_IP=""; export("\$SERVER_IP");

# Production/Install Server interface name for private network
$IFACE=""; export("\$IFACE");

# Architecture of machines
$ARCH=sun4u; export("\$ARCH");

# description of the supported OS release
@OS_LIST=(); export("\@OS_LIST");
$MEN_OS_IDX=-1;  export("\$MEN_OS_IDX"); # idx of the current OS
$DISKLESS_OS_IDX=-1;  export("\$DISKLESS_OS_IDX"); # idx of the current OS

# name of the MEN OS superseding the automatic release detection
$MEN_OS_REFERENCE="default" ; export("\$MEN_OS_REFERENCE") ;
$DISKLESS_OS_REFERENCE="default" ; export("\$DISKLESS_OS_REFERENCE") ;

# description of the various distribution location
@MEN_LOCATION=(); export("\@MEN_LOCATION");
@DISKLESS_LOCATION=(); export("\@DISKLESS_LOCATION");

# description of the product component
@MEN_COMPONENT=(); export("\@MEN_COMPONENT");
@DISKLESS_COMPONENT=(); export("\@DISKLESS_COMPONENT");

# description of nodes
@NODE_LIST=(); export("\@NODE_LIST");

# List of slices
@SLICE_LIST=(); export("\@SLICE_LIST");

# List of patches
$DO_ADDON=$TRUE; export("\$DO_ADDON");
@ADDON_LIST=(); export("\@ADDON_LIST");

# predefined mounting point
$SLICE_ROOT="/" ; export("\$SLICE_ROOT");
$SLICE_SUNWCGHA="/SUNWcgha/local" ; export("\$SLICE_SUNWCGHA");
$SLICE_EXPORT="/export" ; export("\$SLICE_EXPORT");
$SLICE_TAG_REPLICA="replica"; export("\$SLICE_TAG_REPLICA");
$SLICE_UNMOUNTED="unnamed"; export("\$SLICE_UNMOUNTED");
$SLICE_ROOT_MIN_SIZE=2048; export("\$SLICE_ROOT_MIN_SIZE");
$SLICE_SUNWCGHA_MIN_SIZE=2048; export("\$SLICE_SUNWCGHA_MIN_SIZE");
$SLICE_EXPORT_MIN_SIZE=1024 ; export("\$SLICE_EXPORT_MIN_SIZE");
$SLICE_EXPORT_MIN_SIZE_PER_DISKLESS=100; export("\$SLICE_EXPORT_MIN_SIZE_PER_DISKLESS");
$SLICE_REPLICA=""; export("\$SLICE_REPLICA");

$DIR_SUNWCGHA_EXPORTED="/SUNWcgha/local/export" ; export("\$DIR_SUNWCGHA_EXPORTED");

# network interfaces for MEN
$MEN_NIC0="" ; export("\$MEN_NIC0");
$MEN_NIC1="" ; export("\$MEN_NIC1");

# network interfaces for NMEN
$NMEN_NIC0="" ; export("\$NMEN_NIC0");
$NMEN_NIC1="" ; export("\$NMEN_NIC1");

# name of cgtp interface
$CGTP_INTERFACE="cgtp0"; export("\$CGTP_INTERFACE");

# CGTP support
$USE_CGTP=$TRUE ; export("\$USE_CGTP");

# DSCC use
$USE_DCSS=$FALSE ; export("\$USE_DCSS");

# Patch diskless with "smosservice"
$PATCH_WITH_SMOSSERVICE=$FALSE; export("\$PATCH_WITH_SMOSSERVICE");

# WDT use
$USE_WDT=$FALSE ; export("\$USE_WDT");

# NLS use (if not, DHCP is used)
$USE_NLS=$FALSE ; export("\$USE_NLS");

# RNFS Synchronization type
$SYNC_TYPE="FS"; export("\$SYNC_TYPE");

# RFE-4846399
# SNDR sync flag
$SYNC_FLAG=$TRUE; export("\$SYNC_FLAG");
# RFE-4846399

# RFE 4846389
# SNDR serialize synchro of replicated partitions
$SERIALIZE_SYNC=$FALSE; export("\$SERIALIZE_SYNC");
# RFE 4846389

# RNFS checking of replicated slices
$CHECK_REPLICATED_SLICES=$FALSE; export("\$CHECK_REPLICATED_SLICES");

# Detection of master loss on diskless
$MASTER_LOSS_DETECTION=$TRUE; export("\$MASTER_LOSS_DETECTION");

# list of exported directories
@DIR_EXPORTED= ( $DIR_SUNWCGHA_EXPORTED ) ; export("\@DIR_EXPORTED");

# postfix for hostname depending on network interfaces
$POST_NIC0=""; export("\$POST_NIC0");
$POST_NIC1="-nic1"; export("\$POST_NIC1");
$POST_CGTP="-cgtp"; export("\$POST_CGTP");

# Node id for master and vice_master
$MASTER_ID=1; export("\$MASTER_ID");
$VICEMASTER_ID=2; export("\$VICEMASTER_ID");
$MEN1=0; export("\$MEN1");
$MEN2=1; export("\$MEN2");
$MEN1_ID=0; export("\$MEN1_ID");
$MEN2_ID=0; export("\$MEN2_ID");

# Public network
$USE_PUBLIC_NETWORK=$FALSE; export("\$USE_PUBLIC_NETWORK");
$PUBLIC_BIT_NETWORK=""; export("\$PUBLIC_BIT_NETWORK");
$PUBLIC_BIT_NETMASK=""; export("\$PUBLIC_BIT_NETMASK");
$PUBLIC_DOTTED_NETWORK=""; export("\$PUBLIC_DOTTED_NETWORK");
$PUBLIC_DOTTED_NETMASK=""; export("\$PUBLIC_DOTTED_NETMASK");

# External floating access for master
$USE_EXTERNAL_ACCESS=$FALSE; export("\$USE_EXTERNAL_ACCESS");
$EXTERNAL_HOSTNAME=""; export("\$EXTERNAL_HOSTNAME");
$EXTERNAL_IP=""; export("\$EXTERNAL_IP");
$EXTERNAL_NIC=""; export("\$EXTERNAL_NIC");

# network info to be used
$SERVER_IP=""; export("\$SERVER_IP");
$BIT_NETWORK=""; export("\$BIT_NETWORK");
$BIT_NETMASK=""; export("\$BIT_NETMASK");
$DOTTED_NETWORK=""; export("\$DOTTED_NETWORK");
$DOTTED_NETMASK=""; export("\$DOTTED_NETMASK");

# list of couple (remore directory, local mounting point)
@DIR_MOUNTED=(
	      {
	       "remote" => "$DIR_SUNWCGHA_EXPORTED/data",
	       "local"  => "/SUNWcgha/remote",
	       "noac"   => $FALSE,
	      } ,
	      {
	       "remote" => "$DIR_SUNWCGHA_EXPORTED/services/ha_v1/opt",
	       "local"  => "/SUNWcgha/services",
	       "noac"   => $FALSE,
	      } ,
	      {
	       "remote" => "$DIR_SUNWCGHA_EXPORTED/services",
	       "local"  => "/SUNWcgha/swdb",
	       "noac"   => $FALSE,
	      } ,
	     ) ;
export("\@DIR_MOUNTED");

# vendor type list initialized with predefined vendor type string
@VENDOR_TYPE=(
	      "SUNW.UltraSPARC-IIi-cEngine",
	      "SUNW.UltraSPARC-IIi-Netract",
	      "SUNW.UltraSPARCengine_CP-60",
	      "SUNW.UltraAX-i2",
	      "SUNW.NetraCT-410",
	      "SUNW.NetraCT-810",
	      );
export("\@VENDOR_TYPE");

# diskless boot
$DISKLESS_BOOT_POLICY="DHCP_DYNAMIC";  export("\$DISKLESS_BOOT_POLICY");

# diskless type : cluster or standalone
$DISKLESS_CLUSTER=$TRUE; export("\$DISKLESS_CLUSTER");

# DHCP configuration file on a replicated partition
$REPLICATED_DHCP_FILES=$TRUE; export("\$REPLICATED_DHCP_FILES");
$REPLICATED_DHCP_LOCAL_DIR="/SUNWcgha/local/export/data/var/dhcp"; export("\$REPLICATED_DHCP_LOCAL_DIR");
$REPLICATED_DHCP_SHARED_DIR="/SUNWcgha/remote/var/dhcp"; export("\$REPLICATED_DHCP_SHARED_DIR");
$LOCAL_DHCP_DIR="/var/dhcp"; export("\$LOCAL_DHCP_DIR");

# set regarding the SOLARIS_INSTALL value
$USE_SOLARIS_DISTRIB=$TRUE;         export("\$USE_SOLARIS_DISTRIB");
$INSTALL_SOLARIS_ON_MEN=$TRUE;      export("\$INSTALL_SOLARIS_ON_MEN");
$INSTALL_SOLARIS_ON_DISKLESS=$TRUE; export("\$INSTALL_SOLARIS_ON_DISKLESS");
$INSTALL_JDK=$TRUE;                 export("\$INSTALL_JDK");

# OS version
$MEN_TARGET_OS=""; export("\$MEN_TARGET_OS");
$DISKLESS_TARGET_OS=""; export("\$DISKLESS_TARGET_OS");

$AUTO_REBOOT = $TRUE; export("\$AUTO_REBOOT");

# use by reboot to determine the process that need to be checked after booting
$REBOOT=""; export("\$REBOOT");

# package used to check if NHAS is already installed
$PACKAGE_TO_CHECK="SUNWnhcdt"; export("\$PACKAGE_TO_CHECK");


# -----------------------------------------------------------------------------
#
#   Netra HAS 2 variables (do not change!)
#
# -----------------------------------------------------------------------------

# IP address of the default router
$DEFAULT_ROUTER_IP=""; export("\$DEFAULT_ROUTER_IP");

# info regarding the cluster network
$USE_CLUSTER_NETWORK=$FALSE; export("\$USE_CLUSTER_NETWORK");
$CLUSTER_BIT_NETMASK="";  export("\$CLUSTER_BIT_NETMASK");
$CLUSTER_BIT_NIC0_NET=""; export("\$CLUSTER_BIT_NIC0_NET");
$CLUSTER_BIT_NIC1_NET=""; export("\$CLUSTER_BIT_NIC1_NET");
$CLUSTER_BIT_CGTP_NET=""; export("\$CLUSTER_BIT_CGTP_NET");
$CLUSTER_DOTTED_NETMASK="";  export("\$CLUSTER_DOTTED_NETMASK");
$CLUSTER_DOTTED_NIC0_NET=""; export("\$CLUSTER_DOTTED_NIC0_NET");
$CLUSTER_DOTTED_NIC1_NET=""; export("\$CLUSTER_DOTTED_NIC1_NET");
$CLUSTER_DOTTED_CGTP_NET=""; export("\$CLUSTER_DOTTED_CGTP_NET");

# WORKAROUND_CMMLDAPSIMU flag
# If set to TRUE, we activate workaround CMMLDAPSIMU during install/config
$WORKAROUND_CMMLDAPSIMU=$FALSE; export("\$WORKAROUND_CMMLDAPSIMU");

# WORKAROUND_DISKLESS_CGTPMASTER_MOUNT flag
# If set to TRUE, we activate workaround DISKLESS_CGTPMASTER_MOUNT during install/config
$WORKAROUND_DISKLESS_CGTPMASTER_MOUNT=$FALSE; export("\$WORKAROUND_DISKLESS_CGTPMASTER_MOUNT");

# WORKAROUND_DISKLESS_CGTPMASTER_DHCP flag
# If set to TRUE, we activate workaround DISKLESS_CGTPMASTER_DHCP during install/config
$WORKAROUND_DISKLESS_CGTPMASTER_DHCP=$FALSE; export("\$WORKAROUND_DISKLESS_CGTPMASTER_DHCP");

# WORKAROUND_RBS_MEN_CRFS_SHARE flag
# if set to TRUE, we activate the workaround WORKAROUND_RBS_MEN_CRFS_SHARE during the install/config
# to set access and root permission to the triplet addresses of diskless nodes
$WORKAROUND_RBS_MEN_CRFS_SHARE=$TRUE; export("\$WORKAROUND_RBS_MEN_CRFS_SHARE");

# force SVM support
$USE_SVM=$FALSE; export("\$USE_SVM");

# support of IDE disks
$IDE_SUPPORT=$FALSE; export("\$IDE_SUPPORT");

# restrictive access for /.rhosts
$RESTRICT_RHOSTS=$FALSE; export("\$RESTRICT_RHOSTS");

# direct link definition
$USE_DIRECT_LINK=$FALSE;   export("\$USE_DIRECT_LINK");
$DIRECT_LINK_DEVICE_1="";  export("\$DIRECT_LINK_DEVICE_1");
$DIRECT_LINK_DEVICE_2="";  export("\$DIRECT_LINK_DEVICE_2");
$DIRECT_LINK_SPEED="";     export("\$DIRECT_LINK_SPEED");
$DIRECT_LINK_HEARTBEAT=20; export("\$DIRECT_LINK_HEARTBEAT");

# Data management policy option
$DATA_MGT_POLICY="Integrity"; export("\$DATA_MGT_POLICY");

# SNDR bitmap  option
$BITMAP_IN_MEMORY=$FALSE; export("\$BITMAP_IN_MEMORY");

# RNFS noac option
$RNFS_NOAC=$TRUE; export("\$RNFS_NOAC") ;

#
# module variables
#

# debug setting

$DEBUG_FILE   = $FALSE; export("\$DEBUG_FILE");
$DEBUG_CMD    = $FALSE; export("\$DEBUG_CMD");
$DEBUG_ACTION = $FALSE; export("\$DEBUG_ACTION");
$DEBUG_CONFIG = $FALSE; export("\$DEBUG_CONFIG");

# testing setting
$TESTING = "";  export("\$TESTING");


#-----------------------------------------------------------
#
# general variable definition
#
#-----------------------------------------------------------

$NHAS_PRODUCT       = "Netra HA Suite 2.1" ; export("\$NHAS_PRODUCT");

# Default FD if <log-file> is not defined
$LOG                = \*STDOUT;  export("\$LOG"); 
$LOGERR             = \*STDERR;  export("\$LOGERR"); 

$IN_LOGFILE         = $FALSE ; export("\$IN_LOGFILE");
$LOGFILE_NAME       = ""; export("\$LOGFILE_NAME");
$VERBOSE            = 0; export("\$VERBOSE");
$NODE_ID            = 0; export("\$NODE_ID");

$RECOVERY           = $FALSE ; export("\$RECOVERY");
$CHECK_MOUNT_ERROR  = $TRUE; export("\$CHECK_MOUNT_ERROR");

#-----------------------------------------------------------
#
# diskless environment definition
#
#-----------------------------------------------------------

$SHARED_FS          = "/SUNWcgha/local/export/services" ; export("\$SHARED_FS");
$OPT_SUBDIR         = "ha_v1/opt" ; export("\$OPT_SUBDIR");

$SERVICE_DIR        = ""; export("\$SERVICE_DIR");
$SERVICE_USR_PATH   = ""; export("\$SERVICE_USR_PATH");
$SERVICE_USR_BASEDIR= ""; export("\$SERVICE_USR_BASEDIR");
$SERVICE_USR_SOLARIS_PATH   = ""; export("\$SERVICE_USR_SOLARIS_PATH");
$SERVICE_USR_SOLARIS_BASEDIR= ""; export("\$SERVICE_USR_SOLARIS_BASEDIR");
$SERVICE_CLONE_OPT_PATH=""; export("\$SERVICE_CLONE_OPT_PATH");
$SERVICE_CLONE_OPT_BASEDIR=""; export("\$SERVICE_CLONE_OPT_BASEDIR");

#-----------------------------------------------------------
#
#  variables set by reading the arguments when
#  scripts are called
#
#-----------------------------------------------------------

$NHAS_DIR                  = "" ; export("\$NHAS_DIR");
$MEN_SOLARIS_DIR           = "" ; export("\$MEN_SOLARIS_DIR");
$DISKLESS_SOLARIS_DIR      = "" ; export("\$DISKLESS_SOLARIS_DIR");
$WORKING_DIR               = "" ; export("\$WORKING_DIR");

$MEN_SOLARIS_PACKAGE_SUBDIR    = "" ; export("\$MEN_SOLARIS_PACKAGE_SUBDIR");
$MEN_SOLARIS_PATCH_SUBDIR      = "" ; export("\$MEN_SOLARIS_PATCH_SUBDIR");
$MEN_NHAS_PACKAGE_SUBDIR       = "" ; export("\$MEN_NHAS_PACKAGE_SUBDIR");
$MEN_NHAS_PATCH_SUBDIR         = "" ; export("\$MEN_NHAS_PATCH_SUBDIR");
$DISKLESS_SOLARIS_PACKAGE_SUBDIR = "" ; export("\$DISKLESS_SOLARIS_PACKAGE_SUBDIR");
$DISKLESS_SOLARIS_PATCH_SUBDIR = "" ; export("\$DISKLESS_SOLARIS_PATCH_SUBDIR");
$DISKLESS_NHAS_PACKAGE_SUBDIR = "" ; export("\$DISKLESS_NHAS_PACKAGE_SUBDIR");
$DISKLESS_NHAS_PATCH_SUBDIR = "" ; export("\$DISKLESS_NHAS_PATCH_SUBDIR");

$MEN_PROFILE               = "" ; export("\$MEN_PROFILE");
$DISKLESS_PROFILE          = "" ; export("\$DISKLESS_PROFILE");
$PHASE                     = "" ; export("\$PHASE");

#-----------------------------------------------------------
#
#  file name
#
#-----------------------------------------------------------

$FSCONF_DIR                = "/etc/opt/SUNWcgha";
    export("\$FSCONF_DIR");

$FSCONF_FILE               = "$FSCONF_DIR/nhfs.conf";    
    export("\$FSCONF_FILE");

$NODE_TABLE_FILE               = "$FSCONF_DIR/cluster_nodes_table";    
    export("\$NODE_TABLE_FILE");

$NLS_REMOTE_PATH                  = "/SUNWcgha/remote/etc";
    export("\$NLS_REMOTE_PATH");

$NLS_TABLE                = "/SUNWcgha/local/export/data/etc/SUNWnhnls_table";
    export("\$NLS_TABLE");

$NLSCONF_FILE              = "$FSCONF_DIR/nhnls.conf";
    export("\$NLSCONF_FILE");

#-----------------------------------------------------------
#
#  command definition
#
#-----------------------------------------------------------

$CP="/usr/bin/cp"; export("\$CP");
$RCP="/usr/bin/rcp"; export("\$RCP");
$KSH="/usr/bin/ksh"; export("\$KSH");
$SHARE="/usr/sbin/share"; export("\$SHARE");
$UNSHARE="/usr/sbin/unshare"; export("\$UNSHARE");
$RSH="/usr/bin/rsh"; export("\$RSH");
$PING="/usr/sbin/ping"; export("\$PING");
$PERL="/usr/bin/perl"; export("\$PERL");
$PKILL="/usr/bin/pkill"; export("\$PKILL");
$PWD="/usr/bin/pwd"; export("\$PWD");
$NETSTAT="/usr/bin/netstat"; export("\$NETSTAT");
$RM="/usr/bin/rm"; export("\$RM");
$IFCONFIG="/usr/sbin/ifconfig"; export("\$IFCONFIG");
$MV="/usr/bin/mv"; export("\$MV");
$FIND="/usr/bin/find"; export("\$FIND"); 
$CAT="/usr/bin/cat"; export("\$CAT");
$SUM="/usr/bin/sum"; export("\$SUM");
$GREP="/usr/bin/grep"; export("\$GREP");
$ECHO="/usr/bin/echo"; export("\$ECHO");
$PKGINFO="/usr/bin/pkginfo"; export("\$PKGINFO");

$RMOUNT="/usr/sbin/mount";  export("\$RMOUNT");
$RUMOUNT="/usr/sbin/umount"; export("\$RUMOUNT");
$RPKGADD="/usr/sbin/pkgadd"; export("\$RPKGADD");
$RPATCHADD="/usr/sbin/patchadd"; export("\$RPATCHADD");
$RPATCHRM="/usr/sbin/patchrm"; export("\$RPATCHRM");
$RCHMOD="/usr/bin/chmod"; export("\$RCHMOD");
$RMKDIR="/usr/bin/mkdir"; export("\$RMKDIR");
$RPKGRM="/usr/sbin/pkgrm"; export("\$RPKGRM");
$RPKGINFO="/usr/bin/pkginfo"; export("\$RPKGINFO");
$RRM="/usr/bin/rm"; export("\$RRM");
$RDD="/usr/bin/dd";  export("\$RDD");
$RDHCPCONFIG="/usr/sbin/dhcpconfig"; export("\$RDHCPCONFIG");
$RPNTADM="/usr/sbin/pntadm"; export("\$RPNTADM");
$RDHTADM="/usr/sbin/dhtadm"; export("\$RDHTADM");
$RMV="/usr/bin/mv"; export("\$RMV");
$RLN="/usr/bin/ln"; export("\$RLN");
$RFIND="/usr/bin/find" ; export("\$RFIND");
$RCPIO="/usr/bin/cpio" ; export("\$RCPIO");
$RRSH="/usr/bin/rsh" ; export("\$RRSH");
$RSMOSSERVICE="/usr/sadm/bin/smosservice"; export("\$RSMOSSERVICE");
$RSMDISKLESS="/usr/sadm/bin/smdiskless"; export("\$RSMDISKLESS");
$RCOPY="/usr/bin/cp"; export("\$RCOPY");
$RECHO="/usr/bin/echo"; export("\$RECHO");
$RPKILL="/usr/bin/pkill"; export("\$RPKILL");
$RCAT="/usr/bin/cat"; export("\$RCAT");
$RRMDIR="/usr/bin/rmdir"; export("\$RRMDIR");
$RMETADB="/usr/sbin/metadb"; export("\$RMETADB");
$RMETAINIT="/usr/sbin/metainit"; export("\$RMETAINIT");
$RMETACLEAR="/usr/sbin/metaclear"; export("\$RMETACLEAR");
$RNEWFS="/usr/sbin/newfs"; export("\$RNEWFS");
$RUNAME="/usr/bin/uname"; export("\$RUNAME");
$RSED="/usr/bin/sed"; export("\$RSED");

$RNETRAOS="/opt/SUNWdcss/bin/netraos"; export("\$RNETRAOS");
$RNETRADC="/opt/SUNWdcss/bin/netradc"; export("\$RNETRADC");

$CMMROLE="/opt/SUNWcgha/sbin/nhcmmrole"; export("\$CMMROLE");
$CMMADM="/opt/SUNWcgha/sbin/nhcmmadm"; export("\$CMMADM");

#
# information for Solaris installation
#
$PASSWORD="sunrules"; export("\$PASSWORD");
$ENCRYPTED_PASSWORD="mWlhY0O7LCRBc"; export("\$ENCRYPTED_PASSWORD");

$LOCALE="en_US"; export("\$LOCALE");
$TERMINAL="vt100"; export("\$TERMINAL");



sub export {
  my ($name) = @_;
#  print "name=$name\n";
  push @EXPORT, ("$name");
}

{
}
